Get wells

Request

Get wells

Security
bearer and appkey
Query
pageinteger

Page index starts from 1

page_sizeinteger

Number of wells per page

Headers
slb-data-partition-idstringrequired

The data partition id.

Bodyapplication/json
fieldstring

Field name.

countrystring

Country name.

curl -i -X POST \
  'https://eu-api.delfi.slb.com/drillplan/msd/v2/wells/query?page=0&page_size=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-data-partition-id: string' \
  -d '{
    "field": "string",
    "country": "string"
  }'

Responses

Success

Bodyapplication/json
Array [
idstring
namestring
structure_idstring
structurestring
slot_idstring
client_namestring
ground_levelnumber
wgs84_locationobject
IsOffshoreboolean
fieldstring
countrystring
uwistring
sourcestring
locationobject
north_referencestring
Enum:"Grid""True"
uncertaintyobject(Uncertainty)
external_tagstring
]
Response
[ { "id": "string", "name": "string", "structure_id": "string", "structure": "string", "slot_id": "string", "client_name": "string", "ground_level": 0, "wgs84_location": {}, "IsOffshore": true, "field": "string", "country": "string", "uwi": "string", "source": "string", "location": {}, "north_reference": "Grid", "uncertainty": {}, "external_tag": "string" } ]